{
  "schema_version": "1.4.0",
  "id": "GHSA-vf2q-hvf8-f62h",
  "modified": "2025-04-09T04:11:55Z",
  "published": "2022-05-02T03:34:17Z",
  "aliases": [
    "CVE-2009-2347"
  ],
  "details": "Multiple integer overflows in inter-color spaces conversion tools in libtiff 3.8 through 3.8.2, 3.9, and 4.0 allow context-dependent attackers to execute arbitrary code via a TIFF image with large (1) width and (2) height values, which triggers a heap-based buffer overflow in the (a) cvt_whole_image function in tiff2rgba and (b) tiffcvt function in rgb2ycbcr.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2347"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2009-2347"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/51688"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10988"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00663.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00724.html"
    },
    {
      "type": "WEB",
      "url": "http://article.gmane.org/gmane.linux.debian.devel.changes.unstable/178563"
    },
    {
      "type": "WEB",
      "url": "http://bugzilla.maptools.org/show_bug.cgi?id=2079"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/55821"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/55822"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35811"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35817"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35866"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35883"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35911"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36194"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/50726"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200908-03.xml"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-201209-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1835"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:150"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2011:043"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2009-012.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-1159.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/504892/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35652"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022539"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-801-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1870"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0621"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-07-14T20:30:00Z"
  }
}